package com.qmth.exam.reserve.bean.login;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SessionUser implements IModel {

    private static final long serialVersionUID = 8254087838589213068L;

    @ApiModelProperty(value = "学校ID")
    private Long orgId;

    @ApiModelProperty(value = "用户ID")
    private Long id;

    @ApiModelProperty(value = "用户姓名")
    private String name;

    @ApiModelProperty(value = "角色")
    private String role;

    @ApiModelProperty(value = "鉴权信息")
    private String sessionId;

    @ApiModelProperty(value = "鉴权信息")
    private String token;

}
